Loading...
Searching...
No Matches
ContentItemMacro::ReferencedSOPSequenceItem Class Reference

Class representing an item within the Content Item Macro's Referenced SOP Sequence. More...

Inheritance diagram for ContentItemMacro::ReferencedSOPSequenceItem:

## Public Member Functions

| ReferencedSOPSequenceItem (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor.
| ReferencedSOPSequenceItem (IODComponent *parent=NULL)
| Constructor.
| ReferencedSOPSequenceItem (const ReferencedSOPSequenceItem &rhs)
| Copy Constructor, performs deep copy.
virtual | ~ReferencedSOPSequenceItem ()
| Virtual Destructor.
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read attributes from given item into this class.
virtual OFCondition | write (DcmItem &destination)
| Write attributes from this class into given item.
virtual void | resetRules ()
| Resets rules to their original values.
virtual OFString | getName () const
| Get name of macro.
virtual SOPInstanceReferenceMacro & | getSOPInstanceReferenceMacro ()
| Get SOPInstanceReferenceMacro.
virtual OFCondition | getReferencedFrameNumber (OFString &value, const signed long pos=0) const
| Get ReferencedFrameNumber.
virtual OFCondition | getReferencedSegmentNumber (Uint16 &value, const unsigned long pos=0) const
| Get ReferencedSegmentNumber.
virtual OFCondition | setReferencedFrameNumber (const OFString &value, const OFBool checkValue=OFTrue)
| Set ReferencedFrameNumber.
virtual OFCondition | setReferencedSegmentNumber (const Uint16 value, const OFBool checkValue=OFTrue)
| Set ReferencedSegmentNumber.
Public Member Functions inherited from IODComponent
| IODComponent (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor.
| IODComponent (IODComponent *parent=NULL)
| Constructor, creates rules and item from scratch.
IODComponent & | operator= (const IODComponent &rhs)
| Assignment operator, copies contained item and rule set from rhs to "this" attribute set.
| IODComponent (const IODComponent &rhs)
| Copy constructor, copies reference to contained item and rule set to "this" attribute set.
virtual | ~IODComponent ()
| Virtual Destructor.
virtual void | clearData ()
| Clear all attributes from the data that are handled by this module.
virtual void | inventMissing ()
| Set missing values by inventing "default values".
OFshared_ptr< IODRules > | getRules ()
| Get rules handled by this module.
virtual void | makeOptional ()
| Make component optional by turning all attributes requirement types of it to type 3.
DcmItem & | getData ()
| Get the data handled by this module.
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules.
virtual int | compare (const IODComponent &rhs) const
| Comparison operator for IOD Components.
virtual bool | getValueCheckOnWrite () const
| Get whether attribute value errors will be handled as errors on writing.
virtual void | setValueCheckOnWrite (const OFBool checkValue)
| Set whether attribute values should be checked on writing, i.e.

## Protected Attributes

SOPInstanceReferenceMacro | m_SOPInstanceReferenceMacro
| SOP Instance Reference Macro.
Protected Attributes inherited from IODComponent
OFshared_ptr< DcmItem > | m_Item
| Shared pointer to the data handled by this class.
OFshared_ptr< IODRules > | m_Rules
| Rules describing the attributes governed by this class.
IODComponent * | m_Parent
| The parent component (may be NULL) of this class.
OFBool | m_CheckValueOnWrite
| Denotes whether attribute values should be checked on writing, i.e.

## Static Protected Attributes

static const OFString | m_ComponentName
| The name of this item ("ReferencedSOPSequenceItem").

## Additional Inherited Members

Static Public Member Functions inherited from IODComponent
static OFCondition | read (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName)
| Static helper function that reads attributes from given item into destination item, as determined by the provided rules and component name.
static OFCondition | write (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName, const OFBool checkValue)
| Static helper function that writes attributes from given item into destination item, as determined by the provided rules and component name.

## Detailed Description

Class representing an item within the Content Item Macro's Referenced SOP Sequence.

## Constructor & Destructor Documentation

## ReferencedSOPSequenceItem() [1/3]

ContentItemMacro::ReferencedSOPSequenceItem::ReferencedSOPSequenceItem | ( | OFshared_ptr< DcmItem > | item,
|  | OFshared_ptr< IODRules > | rules,
|  | IODComponent * | parent = NULL )

Constructor.

Parameters

  item | The item to be used for data storage. If NULL, the class creates an empty data container.
  rules | The rule set for this class. If NULL, the class creates one from scratch and adds its values.
  parent | The parent of the IOD component (NULL if none or unknown)

References IODComponent::IODComponent().

Referenced by ReferencedSOPSequenceItem().

## ReferencedSOPSequenceItem() [2/3]

ContentItemMacro::ReferencedSOPSequenceItem::ReferencedSOPSequenceItem | ( | IODComponent * | parent = NULL | ) |

Constructor.

Parameters

  parent | The parent of the IOD component (NULL if none or unknown)

References IODComponent::IODComponent().

## ReferencedSOPSequenceItem() [3/3]

ContentItemMacro::ReferencedSOPSequenceItem::ReferencedSOPSequenceItem | ( | const ReferencedSOPSequenceItem & | rhs | ) |

Copy Constructor, performs deep copy.

Parameters

  rhs | The parent of the IOD component (NULL if none or unknown)

References ReferencedSOPSequenceItem().

## Member Function Documentation

## getName()

virtual OFString ContentItemMacro::ReferencedSOPSequenceItem::getName | ( |  | ) | const

virtual

Get name of macro.

Returns
  Name of the component ("ReferencedSOPSequenceItem")

Implements IODComponent.

## getReferencedFrameNumber()

virtual OFCondition ContentItemMacro::ReferencedSOPSequenceItem::getReferencedFrameNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

Get ReferencedFrameNumber.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## getReferencedSegmentNumber()

virtual OFCondition ContentItemMacro::ReferencedSOPSequenceItem::getReferencedSegmentNumber | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const

virtual

Get ReferencedSegmentNumber.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## getSOPInstanceReferenceMacro()

virtual SOPInstanceReferenceMacro & ContentItemMacro::ReferencedSOPSequenceItem::getSOPInstanceReferenceMacro | ( |  | ) |

virtual

Get SOPInstanceReferenceMacro.

Returns
  a reference to the included SOPInstanceReferenceMacro

## read()

virtual OFCondition ContentItemMacro::ReferencedSOPSequenceItem::read | ( | DcmItem & | source,
|  | const OFBool | clearOldData = OFTrue )

virtual

Read attributes from given item into this class.

Parameters

  source | The source to read from
  clearOldData | If OFTrue, old data is cleared before reading. Otherwise old data is overwritten (or amended)

Returns
  EC_Normal if reading was successful, error otherwise

Reimplemented from IODComponent.

## setReferencedFrameNumber()

virtual OFCondition ContentItemMacro::ReferencedSOPSequenceItem::setReferencedFrameNumber | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )

virtual

Set ReferencedFrameNumber.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (IS) and VM (1-n) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## setReferencedSegmentNumber()

virtual OFCondition ContentItemMacro::ReferencedSOPSequenceItem::setReferencedSegmentNumber | ( | const Uint16 | value,
|  | const OFBool | checkValue = OFTrue )

virtual

Set ReferencedSegmentNumber.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (US) and VM (1-n) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## write()

virtual OFCondition ContentItemMacro::ReferencedSOPSequenceItem::write | ( | DcmItem & | destination | ) |

virtual

Write attributes from this class into given item.

Parameters

  destination | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

Reimplemented from IODComponent.

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/iodcontentitemmacro.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0